> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wadial.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send location and contact

> Send a location pin or contact card from a connected token.

## Send a location

```http theme={null}
POST /api/v1/sessions/{sessionId}/messages/location
Authorization: Bearer <api_key>
Content-Type: application/json
Idempotency-Key: <unique-message-key>
```

```json theme={null}
{
  "to": "15551234567",
  "content": {
    "type": "location",
    "latitude": 37.7749,
    "longitude": -122.4194,
    "name": "Market Street",
    "address": "San Francisco, CA"
  }
}
```

## Send a contact

```http theme={null}
POST /api/v1/sessions/{sessionId}/messages/contact
Authorization: Bearer <api_key>
Content-Type: application/json
Idempotency-Key: <unique-message-key>
```

```json theme={null}
{
  "to": "15551234567",
  "content": {
    "type": "contact",
    "displayName": "Jane Doe",
    "vcard": "BEGIN:VCARD\nVERSION:3.0\nFN:Jane Doe\nTEL:+15551234567\nEND:VCARD"
  }
}
```

To send multiple contacts, provide `contacts`:

```json theme={null}
{
  "to": "15551234567",
  "content": {
    "type": "contact",
    "displayName": "2 contacts",
    "contacts": [
      {
        "displayName": "Jane Doe",
        "vcard": "BEGIN:VCARD\nVERSION:3.0\nFN:Jane Doe\nTEL:+15551234567\nEND:VCARD"
      }
    ]
  }
}
```

Successful responses return the outgoing message record in `data`.
